Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getApplianceFirewallL3FirewallRules({
networkId: "string",
});
export const merakiNetworksApplianceFirewallL3FirewallRulesExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_appliance_firewall_l3_firewall_rules(network_id="string")
pulumi.export("merakiNetworksApplianceFirewallL3FirewallRulesExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.LookupApplianceFirewallL3FirewallRules(ctx, &networks.LookupApplianceFirewallL3FirewallRulesArgs{
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksApplianceFirewallL3FirewallRulesExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetApplianceFirewallL3FirewallRules.Invoke(new()
{
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksApplianceFirewallL3FirewallRulesExample"] = example.Apply(getApplianceFirewallL3FirewallRulesResult => getApplianceFirewallL3FirewallRulesResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetApplianceFirewallL3FirewallRulesArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getApplianceFirewallL3FirewallRules(GetApplianceFirewallL3FirewallRulesArgs.builder()
.networkId("string")
.build());
ctx.export("merakiNetworksApplianceFirewallL3FirewallRulesExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getApplianceFirewallL3FirewallRules
arguments:
networkId: string
outputs:
merakiNetworksApplianceFirewallL3FirewallRulesExample: ${example.item}
Using getApplianceFirewallL3FirewallRules
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getApplianceFirewallL3FirewallRules(args: GetApplianceFirewallL3FirewallRulesArgs, opts?: InvokeOptions): Promise<GetApplianceFirewallL3FirewallRulesResult>
function getApplianceFirewallL3FirewallRulesOutput(args: GetApplianceFirewallL3FirewallRulesOutputArgs, opts?: InvokeOptions): Output<GetApplianceFirewallL3FirewallRulesResult>def get_appliance_firewall_l3_firewall_rules(network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetApplianceFirewallL3FirewallRulesResult
def get_appliance_firewall_l3_firewall_rules_output(network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetApplianceFirewallL3FirewallRulesResult]func LookupApplianceFirewallL3FirewallRules(ctx *Context, args *LookupApplianceFirewallL3FirewallRulesArgs, opts ...InvokeOption) (*LookupApplianceFirewallL3FirewallRulesResult, error)
func LookupApplianceFirewallL3FirewallRulesOutput(ctx *Context, args *LookupApplianceFirewallL3FirewallRulesOutputArgs, opts ...InvokeOption) LookupApplianceFirewallL3FirewallRulesResultOutput> Note: This function is named LookupApplianceFirewallL3FirewallRules in the Go SDK.
public static class GetApplianceFirewallL3FirewallRules
{
public static Task<GetApplianceFirewallL3FirewallRulesResult> InvokeAsync(GetApplianceFirewallL3FirewallRulesArgs args, InvokeOptions? opts = null)
public static Output<GetApplianceFirewallL3FirewallRulesResult> Invoke(GetApplianceFirewallL3FirewallRulesInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetApplianceFirewallL3FirewallRulesResult> getApplianceFirewallL3FirewallRules(GetApplianceFirewallL3FirewallRulesArgs args, InvokeOptions options)
public static Output<GetApplianceFirewallL3FirewallRulesResult> getApplianceFirewallL3FirewallRules(GetApplianceFirewallL3FirewallRulesArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getApplianceFirewallL3FirewallRules:getApplianceFirewallL3FirewallRules
arguments:
# arguments dictionaryThe following arguments are supported:
- Network
Id string - networkId path parameter. Network ID
- Network
Id string - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
- network
Id string - networkId path parameter. Network ID
- network_
id str - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
getApplianceFirewallL3FirewallRules Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Appliance Firewall L3Firewall Rules Item - Network
Id string - networkId path parameter. Network ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Appliance Firewall L3Firewall Rules Item - Network
Id string - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Appliance Firewall L3Firewall Rules Item - network
Id String - networkId path parameter. Network ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Appliance Firewall L3Firewall Rules Item - network
Id string - networkId path parameter. Network ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Appliance Firewall L3Firewall Rules Item - network_
id str - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetApplianceFirewallL3FirewallRulesItem
GetApplianceFirewallL3FirewallRulesItemRule
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
